Inspect KMS instance
curl --request GET \
--url https://cloud-api.phala.com/api/v1/kms/{kms_id}/infoimport requests
url = "https://cloud-api.phala.com/api/v1/kms/{kms_id}/info"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cloud-api.phala.com/api/v1/kms/{kms_id}/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud-api.phala.com/api/v1/kms/{kms_id}/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud-api.phala.com/api/v1/kms/{kms_id}/info"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud-api.phala.com/api/v1/kms/{kms_id}/info")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud-api.phala.com/api/v1/kms/{kms_id}/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"slug": "<string>",
"endpoint": "<string>",
"kms_type": "<string>",
"db_version": "<string>",
"rpc": {
"version": "<string>",
"is_dev": true,
"bootstrap_info": {
"k256_pubkey": "<string>",
"ca_pubkey": "<string>",
"quote_length": 123,
"eventlog_length": 123
},
"version_synced": true,
"chain_id": 123,
"kms_contract_address": "<string>",
"gateway_app_id": "<string>"
},
"rpc_error": "<string>",
"guest_agent": {
"device_id": "<string>",
"mr_aggregated": "<string>",
"os_image_hash": "<string>",
"instance_id": "<string>",
"app_id": "<string>",
"mr_key_provider": "<string>",
"compose_hash": "<string>",
"app_compose": "<string>"
},
"guest_agent_error": "<string>",
"teepods": [
{
"id": 123,
"name": "<string>",
"teepod_version_db": "<string>",
"teepod_version_real": "<string>",
"kms_url": "<string>",
"kms_urls": [
"<string>"
],
"available_os_images": [
{
"name": "<string>",
"version": "<string>",
"is_dev": true
}
],
"error": "<string>"
}
],
"on_chain": {
"kms_info": {
"k256_pubkey": "<string>",
"ca_pubkey": "<string>",
"quote_length": 123,
"eventlog_length": 123
},
"gateway_app_id": "<string>",
"owner": "<string>",
"verification": {
"k256_pubkey_match": true,
"ca_pubkey_match": true,
"gateway_app_id_match": true,
"device_id_allowed": true,
"os_image_allowed": true,
"mr_aggregated_allowed": true
},
"error": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}KMS
Inspect KMS instance
Real-time inspection of a KMS instance. Queries KMS RPC, guest agent, associated Teepod VMMs, and on-chain contract data with cross-validation.
GET
/
api
/
v1
/
kms
/
{kms_id}
/
info
Inspect KMS instance
curl --request GET \
--url https://cloud-api.phala.com/api/v1/kms/{kms_id}/infoimport requests
url = "https://cloud-api.phala.com/api/v1/kms/{kms_id}/info"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cloud-api.phala.com/api/v1/kms/{kms_id}/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud-api.phala.com/api/v1/kms/{kms_id}/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud-api.phala.com/api/v1/kms/{kms_id}/info"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud-api.phala.com/api/v1/kms/{kms_id}/info")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud-api.phala.com/api/v1/kms/{kms_id}/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"slug": "<string>",
"endpoint": "<string>",
"kms_type": "<string>",
"db_version": "<string>",
"rpc": {
"version": "<string>",
"is_dev": true,
"bootstrap_info": {
"k256_pubkey": "<string>",
"ca_pubkey": "<string>",
"quote_length": 123,
"eventlog_length": 123
},
"version_synced": true,
"chain_id": 123,
"kms_contract_address": "<string>",
"gateway_app_id": "<string>"
},
"rpc_error": "<string>",
"guest_agent": {
"device_id": "<string>",
"mr_aggregated": "<string>",
"os_image_hash": "<string>",
"instance_id": "<string>",
"app_id": "<string>",
"mr_key_provider": "<string>",
"compose_hash": "<string>",
"app_compose": "<string>"
},
"guest_agent_error": "<string>",
"teepods": [
{
"id": 123,
"name": "<string>",
"teepod_version_db": "<string>",
"teepod_version_real": "<string>",
"kms_url": "<string>",
"kms_urls": [
"<string>"
],
"available_os_images": [
{
"name": "<string>",
"version": "<string>",
"is_dev": true
}
],
"error": "<string>"
}
],
"on_chain": {
"kms_info": {
"k256_pubkey": "<string>",
"ca_pubkey": "<string>",
"quote_length": 123,
"eventlog_length": 123
},
"gateway_app_id": "<string>",
"owner": "<string>",
"verification": {
"k256_pubkey_match": true,
"ca_pubkey_match": true,
"gateway_app_id_match": true,
"device_id_allowed": true,
"os_image_allowed": true,
"mr_aggregated_allowed": true
},
"error": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Measurements reported by a KMS replica's dstack guest agent.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

